# `ngMousedown` (directive in module `ng` )

Improve this doc

## Description

The ngMousedown directive allows you to specify custom behavior on mousedown event.

## Usage

as attribute

    <ANY ng-mousedown="{expression}">
       ...
    </ANY>

as class

    <ANY class="ng-mousedown: {expression};">
       ...
    </ANY>

### Parameters

- `ngMousedown – {expression} –`

  Expression to evaluate upon mousedown. (Event object is available as `$event`)

## Example

See `ngClick`